Bug 121232 - Ncurses4 should be built for i386, not x86_64
Ncurses4 should be built for i386, not x86_64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ncurses4 (Show other bugs)
1
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-19 11:05 EDT by Jan "Yenya" Kasprzak
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-05 10:43:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 2004-04-19 11:05:31 EDT
Description of problem:
When trying to install Legato Networker client RPM  I have found that
it depends on libncurses.so.4. However, there is no ncurses4 package
for i386 in FC1/x86_64 tree, just for x86_64. I doubt there are any x86_64
legacy package which needs libncurses.so.4 (as opposed to legacy i386
packages).
Installing ncurses4 from FC1/i386 tree fixes the problem.

Version-Release number of selected component (if applicable):
ncurses4-5.0-12
lgtoclnt-6.1.3-1.i386.rpm
Comment 1 Eido Inoue 2004-04-27 15:55:18 EDT
Package lgtoclnt is not part of FC1, RHL9, or RHEL. Where did you get
this package from?
Comment 2 Jan "Yenya" Kasprzak 2004-04-27 16:19:03 EDT
From Legato, of course. But this bugzilla request is not about Legato
Networker, but generally about compatibility package in FC1-x86_64. Is
there any single package for x86_64 arch built against few years old
ncurses4? If not, then I think FC/x86_64 should include ncurses4 for
i386, not x86_64.

-Jan Kasprzak
Comment 3 Florian La Roche 2004-06-05 10:43:22 EDT
You are right ncurses4 doesn't make sense as compat rpm for x86_64,
but this rpm has vanished completely from the current tree, so no
need to bother anymore.

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.